Skip to main content
Jump to: navigation, search

Eclipse4/KnownIssues/4.0

< Eclipse4‎ | KnownIssues
Revision as of 10:08, 15 July 2010 by Susan franklin.us.ibm.com (Talk | contribs) (Plug-in developer features)

The Eclipse SDK 4.0 Early Adopter release is not intended to replace the Eclipse 3.6 SDK. Its primary focus is to allow developers of other Eclipse projects and plug-ins to prepare for a future Eclipse simultaneous release built upon it. In order to ship an SDK based on entirely new underlying architectures, we have had to defer some major features that would normally be expected to appear in an Eclipse SDK release. (See the Eclipse SDK 4.0 Early Adopter FAQ for more details about the release).

This page summarizes the major features that we have intentionally deferred in order to ship the release, and some discussion about how these features could reappear in a future release.

Missing API/Developer functionality

  • NLS support for model files
  • Bidi support
  • Capabilities are not supported. UI will appear whether the capability is enabled or not.
  • All API is provisional. Since the purpose of the 4.0 release is to get a wider community adopting the technology, we are leaving ourselves an additional release to get the API right, based on developer feedback.

End user features

  • Key bindings UI - in 4.0, the user must edit the workbench model description to add or change key bindings. This proves the viability of adding key bindings to a modeled workbench, but of course we don't expect this to be the way that end-users would add bindings.
  • Customize perspective - given the increased flexibility allowed by a modeled UI (for things like mixing views and editors, not sharing editor areas, ignoring perspectives completely), we have not put effort in the 4.0 release into modelling the same functionality as in Eclipse 3.6. Future releases will bring perspectives up to par, and likely surpass the capabilities and increase the flexibility of the 3.x perspective model.

Back to the top